Skip to content

Submit bulk lead event create job (async). Returns 202 Accepted with APIResponse data containing processId for polling.

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
callbackUrlstring
callbackUrlHeadersobject

Optional HTTP headers to send with the callback request

recordsArray of objects
syncProcessingboolean

When true, process records synchronously in-request and return per-record results immediately

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/leadEvents/bulk \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "callbackUrl": "string",
    "callbackUrlHeaders": {
      "property1": "string",
      "property2": "string"
    },
    "records": [
      {}
    ],
    "syncProcessing": true
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }